Package com.xebialabs.xlrelease.domain

# Class PythonScript

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseScript
com.xebialabs.xlrelease.domain.BasePythonScript
com.xebialabs.xlrelease.domain.PythonScript

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class PythonScript extends BasePythonScript
Base class for the configuration of a custom Python task.

Users subclass this in `synthetic.xml` to configure input parameters and output mappings for their custom script tasks.

Note: this should be called "PythonScriptDefinition", but was renamed for UX reasons since the type name is exposed to end users.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CUSTOM_SCRIPT_TASK_PROPERTY`
  `static final String`
  `PYTHON_SCRIPT_ID`
  `static final String`
  `PYTHON_SCRIPT_PROPERTY`
  `static final List<String>`
  `UPDATEABLE_PROPERTIES`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PythonScript()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAbortScript()`
  `String`
  `getConfigurationUri()`
  `CustomScriptTask`
  `getCustomScriptTask()`
  `String`
  `getDocumentationPage()`
  `String`
  `getIconClass()`
  `String`
  `getIconLocation()`
  `Collection<PropertyDescriptor>`
  `getInputProperties()`
  `int`
  `getMaxOutputPropertySize()`
  `Collection<PropertyDescriptor>`
  `getOutputProperties()`
  `String`
  `getOutputVarHelpText()`
  `Collection<PropertyDescriptor>`
  `getPropertiesWithVariables()`
  `String`
  `getScript()`
  `String`
  `getTaskColor()`
  `Collection<PropertyDescriptor>`
  `getTransitionalAndOutputProperties()`
  `Collection<PropertyDescriptor>`
  `getTransitionalProperties()`
  `boolean`
  `isSupportedInWorkflow()`
  `void`
  `setConfigurationUri(String configurationUri)`
  `void`
  `setCustomScriptTask(CustomScriptTask customScriptTask)`
  `void`
  `setDocumentationPage(String documentationPage)`
  `void`
  `setMaxOutputPropertySize(int maxOutputPropertySize)`
  `void`
  `setSupportedInWorkflow(boolean supportedInWorkflow)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PYTHON_SCRIPT_ID

    public static final String PYTHON_SCRIPT_ID
    See Also:
      - Constant Field Values

  - ### PYTHON_SCRIPT_PROPERTY

    public static final String PYTHON_SCRIPT_PROPERTY
    See Also:
      - Constant Field Values

  - ### CUSTOM_SCRIPT_TASK_PROPERTY

    public static final String CUSTOM_SCRIPT_TASK_PROPERTY
    See Also:
      - Constant Field Values

  - ### UPDATEABLE_PROPERTIES

    public static final List<String> UPDATEABLE_PROPERTIES

- ## Constructor Details

  - ### PythonScript

    public PythonScript()

- ## Method Details

  - ### getPropertiesWithVariables

    public Collection<PropertyDescriptor> getPropertiesWithVariables()

  - ### getInputProperties

    public Collection<PropertyDescriptor> getInputProperties()

  - ### getOutputProperties

    public Collection<PropertyDescriptor> getOutputProperties()

  - ### getTransitionalAndOutputProperties

    public Collection<PropertyDescriptor> getTransitionalAndOutputProperties()

  - ### getTransitionalProperties

    public Collection<PropertyDescriptor> getTransitionalProperties()

  - ### getCustomScriptTask

    public CustomScriptTask getCustomScriptTask()

  - ### setCustomScriptTask

    public void setCustomScriptTask(CustomScriptTask customScriptTask)

  - ### getIconLocation

    public String getIconLocation()

  - ### getOutputVarHelpText

    public String getOutputVarHelpText()

  - ### getTaskColor

    public String getTaskColor()

  - ### getIconClass

    public String getIconClass()

  - ### getMaxOutputPropertySize

    public int getMaxOutputPropertySize()

  - ### setMaxOutputPropertySize

    public void setMaxOutputPropertySize(int maxOutputPropertySize)

  - ### getDocumentationPage

    public String getDocumentationPage()

  - ### setDocumentationPage

    public void setDocumentationPage(String documentationPage)

  - ### getConfigurationUri

    public String getConfigurationUri()

  - ### setConfigurationUri

    public void setConfigurationUri(String configurationUri)

  - ### isSupportedInWorkflow

    public boolean isSupportedInWorkflow()

  - ### setSupportedInWorkflow

    public void setSupportedInWorkflow(boolean supportedInWorkflow)

  - ### getScript

    public String getScript() throws IOException
    Overrides:
      `getScript` in class `BaseScript`
    Throws:
      `IOException`

  - ### getAbortScript

    public String getAbortScript() throws IOException
    Overrides:
      `getAbortScript` in class `BaseScript`
    Throws:
      `IOException`